## org.apache.lucene.queryparser.xml
Interface FilterBuilder

All Known Implementing Classes:
  BooleanFilterBuilder, CachedFilterBuilder, DuplicateFilterBuilder, FilterBuilderFactory, NumericRangeFilterBuilder, RangeFilterBuilder, TermsFilterBuilder

    public interface FilterBuilder

Interface for building `Filter`s

Method Summary
`Filter` `getFilter(Element e)`

Method Detail

### getFilter

    Filter getFilter(Element e)
                     throws ParserException

  Throws:
    `ParserException`

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.